package com.chenyang.nse.bussiness.service.core;

import com.chenyang.nse.bussiness.entity.orm.table.core.TCoreAttachmentDirectory;
import com.chenyang.nse.bussiness.entity.vo.datascope.ComplianceDirectoryVO;
import java.util.List;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;
import org.springframework.web.multipart.MultipartFile;

@Service
@Transactional
public interface ComplianceDirectoryService {
   void complianceDirectorySave(MultipartFile file, TCoreAttachmentDirectory dir);

   void save(ComplianceDirectoryVO scope);

   ComplianceDirectoryVO editbyid(String id);

   void remove(String id);

   List<ComplianceDirectoryVO> getScopeTable(ComplianceDirectoryVO vo);

   List<TCoreAttachmentDirectory> getselectfilelist(String id);

   void removeTask(String fileid);

   TCoreAttachmentDirectory editTask(String fileid);

   void complianceDirectorySaveEdit(TCoreAttachmentDirectory dir);

   String getmaxdatetid(String projectId);

   void removeByEdition(String editionid);

   void saveExcelData(List<List<String>> list, String user, String projectId) throws Exception;

   String checkName(String directoryname, String projectId);
}
